Module jdk.incubator.vector
Package jdk.incubator.vector

# Interface VectorOperators.Associative

All Superinterfaces:
  `VectorOperators.Binary`, `VectorOperators.Operator`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Associative extends VectorOperators.Binary
Type for all reassociating lane-wise binary operators, usable in expressions like `e = v0.``reduceLanes``(ADD)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

## Method Summary

### Methods declared in interface jdk.incubator.vector.VectorOperators.Operator

`arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`